> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a shared volume by ID

> Retrieve information about a specific shared volume.



## OpenAPI

````yaml GET /compute/clusters/storage/volumes/{volume_id}
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
security:
  - bearerAuth: []
paths:
  /compute/clusters/storage/volumes/{volume_id}:
    get:
      tags:
        - SharedVolumeService
      summary: Get a shared volume by ID
      description: Retrieve information about a specific shared volume.
      operationId: SharedVolumeService_Get
      parameters:
        - name: volume_id
          in: path
          required: true
          schema:
            description: The ID of the volume to retrieve
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GPUClustersSharedVolume'
      x-codeSamples:
        - lang: Python
          label: Together AI SDK (v2)
          source: |
            from together import Together
            client = Together()

            volume = client.beta.clusters.storage.retrieve("volume_id")
            print(volume)
        - lang: TypeScript
          label: Together AI SDK (TypeScript)
          source: >
            import Together from "together-ai";

            const client = new Together();


            const volume = await
            client.beta.clusters.storage.retrieve("volume_id");

            console.log(volume);
        - lang: JavaScript
          label: Together AI SDK (JavaScript)
          source: >
            import Together from "together-ai";

            const client = new Together();


            const volume = await
            client.beta.clusters.storage.retrieve("volume_id");

            console.log(volume);
        - lang: Shell
          label: CLI
          source: |
            tg beta clusters storage retrieve <volume_id>
components:
  schemas:
    GPUClustersSharedVolume:
      type: object
      required:
        - volume_id
        - volume_name
        - size_tib
        - status
      properties:
        volume_id:
          description: ID of the volume.
          type: string
        volume_name:
          type: string
          description: User provided name of the volume.
        size_tib:
          type: integer
          description: Size of the volume in TiB.
        status:
          enum:
            - scheduled
            - available
            - bound
            - provisioning
            - deleting
            - failed
            - access_revoked
            - unknown
          type: string
          description: Current status of the shared volume.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````